package nl.amis.jfall2009.ejb.entity;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;

@NamedQuery(name = Constellation.QUERY_FIND_CONSTELLATION_BY_NAME,
            query = "select c from Constellation c where c.name = :name")
@Entity
public class Constellation implements Serializable {
    private static final long serialVersionUID = 1L;
    public static final String QUERY_FIND_CONSTELLATION_BY_NAME = "Constellation.queryFindConstellationByName";

    private Byte id;
    private String name;
    private String abbreviation;

    /**
     * @return the id
     */
    @Id
    public Byte getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Byte id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the abbreviation
     */
    public String getAbbreviation() {
        return abbreviation;
    }

    /**
     * @param abbreviation the abbreviation to set
     */
    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        if (!(object instanceof Constellation)) {
            return false;
        }
        Constellation other = (Constellation) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "nl.reeven.van.astro.db.entities.Constellation[name=" + name + "]";
    }

}