/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package nl.amis.jfall2009.ejb.entity;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.SequenceGenerator;
import javax.validation.constraints.NotNull;

/**
 *
 * @author wouter
 */
@Entity
public class Sac implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    private String sacObjectCatalog;
    private String sacObjectId;
    private String otherCatalog;
    private String otherId;
    private DeepSkyType sacType;
    private Constellation constellation;
    private Integer raH;
    private Double raM;
    private String deSign;
    private Integer deD;
    private Integer deM;
    private Double mag;
    private String magPhot;
    private Double subr;
    private Integer u2k;
    private Integer ti;
    private Double sizeMax;
    private Double sizeMin;
    private Integer pa;
    private String sacClass;
    private Integer nsts;
    private Double brstr;
    private String bchm;
    private String ngcDescr;
    private String notes;

    @Id
    @SequenceGenerator(name = "SacSequence", sequenceName = "SAC_SEQ", allocationSize = 1)
    @GeneratedValue(generator = "SacSequence")
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the sacObjectCatalog
     */
    public String getSacObjectCatalog() {
        return sacObjectCatalog;
    }

    /**
     * @param sacObjectCatalog the sacObjectCatalog to set
     */
    public void setSacObjectCatalog(String sacObjectCatalog) {
        this.sacObjectCatalog = sacObjectCatalog;
    }

    /**
     * @return the sacObjectId
     */
    public String getSacObjectId() {
        return sacObjectId;
    }

    /**
     * @param sacObjectId the sacObjectId to set
     */
    public void setSacObjectId(String sacObjectId) {
        this.sacObjectId = sacObjectId;
    }

    /**
     * @return the otherCatalog
     */
    public String getOtherCatalog() {
        return otherCatalog;
    }

    /**
     * @param otherCatalog the otherCatalog to set
     */
    public void setOtherCatalog(String otherCatalog) {
        this.otherCatalog = otherCatalog;
    }

    /**
     * @return the otherId
     */
    public String getOtherId() {
        return otherId;
    }

    /**
     * @param otherId the otherId to set
     */
    public void setOtherId(String otherId) {
        this.otherId = otherId;
    }

    /**
     * @return the sacType
     */
    @OneToOne
    public DeepSkyType getSacType() {
        return sacType;
    }

    /**
     * @param sacType the sacType to set
     */
    public void setSacType(DeepSkyType sacType) {
        this.sacType = sacType;
    }

    /**
     * @return the constellation
     */
    @OneToOne
    public Constellation getConstellation() {
        return constellation;
    }

    /**
     * @param constellation the constellation to set
     */
    public void setConstellation(Constellation constellation) {
        this.constellation = constellation;
    }

    /**
     * @return the raH
     */
    public Integer getRaH() {
        return raH;
    }

    /**
     * @param raH the raH to set
     */
    public void setRaH(Integer raH) {
        this.raH = raH;
    }

    /**
     * @return the raM
     */
    public Double getRaM() {
        return raM;
    }

    /**
     * @param raM the raM to set
     */
    public void setRaM(Double raM) {
        this.raM = raM;
    }

    /**
     * @return the deSign
     */
    public String getDeSign() {
        return deSign;
    }

    /**
     * @param deSign the deSign to set
     */
    public void setDeSign(String deSign) {
        this.deSign = deSign;
    }

    /**
     * @return the deD
     */
    public Integer getDeD() {
        return deD;
    }

    /**
     * @param deD the deD to set
     */
    public void setDeD(Integer deD) {
        this.deD = deD;
    }

    /**
     * @return the deM
     */
    public Integer getDeM() {
        return deM;
    }

    /**
     * @param deM the deM to set
     */
    public void setDeM(Integer deM) {
        this.deM = deM;
    }

    /**
     * @return the mag
     */
    public Double getMag() {
        return mag;
    }

    /**
     * @param mag the mag to set
     */
    public void setMag(Double mag) {
        this.mag = mag;
    }

    /**
     * @return the magPhot
     */
    public String getMagPhot() {
        return magPhot;
    }

    /**
     * @param magPhot the magPhot to set
     */
    public void setMagPhot(String magPhot) {
        this.magPhot = magPhot;
    }

    /**
     * @return the subr
     */
    public Double getSubr() {
        return subr;
    }

    /**
     * @param subr the subr to set
     */
    public void setSubr(Double subr) {
        this.subr = subr;
    }

    /**
     * @return the u2k
     */
    public Integer getU2k() {
        return u2k;
    }

    /**
     * @param u2k the u2k to set
     */
    public void setU2k(Integer u2k) {
        this.u2k = u2k;
    }

    /**
     * @return the ti
     */
    public Integer getTi() {
        return ti;
    }

    /**
     * @param ti the ti to set
     */
    public void setTi(Integer ti) {
        this.ti = ti;
    }

    /**
     * @return the sizeMax
     */
    public Double getSizeMax() {
        return sizeMax;
    }

    /**
     * @param sizeMax the sizeMax to set
     */
    public void setSizeMax(Double sizeMax) {
        this.sizeMax = sizeMax;
    }

    /**
     * @return the sizeMin
     */
    public Double getSizeMin() {
        return sizeMin;
    }

    /**
     * @param sizeMin the sizeMin to set
     */
    public void setSizeMin(Double sizeMin) {
        this.sizeMin = sizeMin;
    }

    /**
     * @return the pa
     */
    public Integer getPa() {
        return pa;
    }

    /**
     * @param pa the pa to set
     */
    public void setPa(Integer pa) {
        this.pa = pa;
    }

    /**
     * @return the sacClass
     */
    public String getSacClass() {
        return sacClass;
    }

    /**
     * @param sacClass the sacClass to set
     */
    public void setSacClass(String sacClass) {
        this.sacClass = sacClass;
    }

    /**
     * @return the nsts
     */
    public Integer getNsts() {
        return nsts;
    }

    /**
     * @param nsts the nsts to set
     */
    public void setNsts(Integer nsts) {
        this.nsts = nsts;
    }

    /**
     * @return the brstr
     */
    public Double getBrstr() {
        return brstr;
    }

    /**
     * @param brstr the brstr to set
     */
    public void setBrstr(Double brstr) {
        this.brstr = brstr;
    }

    /**
     * @return the bchm
     */
    public String getBchm() {
        return bchm;
    }

    /**
     * @param bchm the bchm to set
     */
    public void setBchm(String bchm) {
        this.bchm = bchm;
    }

    /**
     * @return the ngcDescr
     */
    public String getNgcDescr() {
        return ngcDescr;
    }

    /**
     * @param ngcDescr the ngcDescr to set
     */
    public void setNgcDescr(String ngcDescr) {
        this.ngcDescr = ngcDescr;
    }

    /**
     * @return the notes
     */
    public String getNotes() {
        return notes;
    }

    /**
     * @param notes the notes to set
     */
    public void setNotes(String notes) {
        this.notes = notes;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        if (!(object instanceof Sac)) {
            return false;
        }
        Sac other = (Sac) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "nl.reeven.van.astro.db.entities.Sac[" + sacObjectCatalog + " " + sacObjectId + "]";
    }

}