/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package nl.amis.jfall2009.enums;

/**
 *
 * @author wouter
 */
public enum CatalogEnum {

    _3C("3C", "Third Cambridge Catalog of Radio Wave Sources"),
    ABELL("Abell", "George Abell (planetary nebulae and galaxy clusters)"),
    ADS("ADS", "Aitken Double Star catalog"),
    AM("AM", "Arp-Madore (globular clusters)"),
    ANTALOVA("Antalova", "(open clusters)"),
    AP("Ap", "Apriamasvili (planetary nebulae)"),
    ARP("Arp", "Halton Arp (interacting galaxies)"),
    BARK("Bark", "Barkhatova (open clusters)"),
    B("B", "Barnard (dark nebulae)"),
    BASEL("Basel", "(open clusters)"),
    BD("BD", "Bonner Durchmusterung (stars)"),
    BERK("Berk", "Berkeley (open clusters)"),
    BE("Be", "Bernes (dark nebulae)"),
    BIUR("Biur", "Biurakan (open clusters)"),
    BLANCO("Blanco", "(open clusters)"),
    BOCHUM("Bochum", "(open clusters)"),
    CED("Ced", "Cederblad (bright nebulae)"),
    CGCG("CGCG", "Catalog of Galaxies and Clusters of Galaxies"),
    CR("Cr", "Collinder (open clusters)"),
    CZERNIK("Czernik", "(open clusters)"),
    DDO("DDO", "David Dunlap Observatory (dwarf galaxies)"),
    DO("Do", "Dolidze (open clusters)"),
    DODZ("DoDz", "Dolidze-Dzimselejsvili (open clusters)"),
    DUN("Dun", "Dunlop (Southern objects of all types)"),
    DUNLOP("Dunlop", "Dunlop (Southern objects of all types)"),
    ESO("ESO", "European Southern Observatory (Southern objects)"),
    FEIN("Fein", "Feinstein (open clusters)"),
    FROLOV("Frolov", "(open clusters)"),
    GCL("GCL", "(globular clusters)"),
    GUM("Gum", "(bright nebulae)"),
    H("H", "William Herschel (globular clusters)"),
    HAFFNER("Haffner", "(open clusters)"),
    HARO("Haro", "(gas nebulae?)"),
    HARVARD("Harvard", "(open clusters)"),
    HAV_MOFFAT("Hav-Moffat ", "Havermeyer and Moffat (open clusters)"),
    HE("He-", "Henize (planetary nebulae)"),
    HE1("He1-", "Henize (planetary nebulae)"),
    HE2("He2-", "Henize (planetary nebulae)"),
    HE3("He3-", "Henize (planetary nebulae)"),
    HOGG("Hogg", "(open clusters)"),
    HO("Ho", "Holmberg (galaxies)"),
    HP("HP", "Haute Provence (globular clusters)"),
    HU("Hu", "Humason (planetary nebulae)"),
    IC("IC", "1st and 2nd Index Catalogs to the NGC"),
    ISK("Isk", "Iskudarian (open clusters)"),
    J("J", "Jonckheere (planetary nebulae)"),
    K1("K1-", "Kohoutek (planetary nebulae)"),
    K2("K2-", "Kohoutek (planetary nebulae)"),
    K3("K3-", "Kohoutek (planetary nebulae)"),
    K4("K4-", "Kohoutek (planetary nebulae)"),
    KEMBLE("Kemble", "Father Lucian Kemble (asterisms)"),
    KING("King", "(open clusters)"),
    KR("Kr", "Krasnogorskaja (planetary nebulae)"),
    LAC("Lac", "Lacaille (globular clusters)"),
    LODEN("Loden", "(open clusters)"),
    LBN("LBN", "Lynds (bright nebula)"),
    LDN("LDN", "Lynds (dark nebulae)"),
    NPM1G("NPM1G", "Northern Proper Motion, 1st part, Galaxies"),
    LYNGA("Lynga", "(open clusters)"),
    M("M", "Messier (all types of objects except dark nebula)"),
    MCG("MCG", "Morphological Catalog of Galaxies"),
    ME("Me", "Merrill (plantary nebulae)"),
    MRK("Mrk", "Markarian (open clusters and galaxies)"),
    MEL("Mel", "Melotte (open clusters)"),
    M1("M1-", "Minkowski (planetary nebulae)"),
    M2("M2-", "Minkowski (planetary nebulae)"),
    M3("M3-", "Minkowski (planetary nebulae)"),
    M4("M4-", "Minkowski (planetary nebulae)"),
    NEW("New", "\"New\" galaxies in the Revised Shapley-Ames Catalog"),
    NGC("NGC", "New General Catalog of Nebulae & Clusters of Stars."),
    OCL("OCL", "(open clusters)"),
    PAL("Pal", "Palomar (globular clusters)"),
    PC("PC", "Peimbert and Costero (planetary nebulae)"),
    PGC("PGC", "Peimbert and Costero (planetary nebulae)"),
    PISMIS("Pismis", "(open clusters)"),
    PK("PK", "Perek & Kohoutek (planetary nebulae)"),
    RCW("RCW", "Rodgers, Campbell, & Whiteoak (bright nebulae)"),
    ROSLUND("Roslund", "(open clusters)"),
    RU("Ru", "Ruprecht (open clusters)"),
    SA("Sa", "Sandqvist (dark nebulae)"),
    SHER("Sher", "(open clusters)"),
    SH("Sh2-", "Sharpless (bright nebulae)"),
    SL("SL", "Sandqvist & Lindroos (dark nebulae) or Shapley & Lindsay (clusters in LMC)"),
    STEPH("Steph", "Stephenson (open clusters)"),
    STOCK("Stock", "(open clusters)"),
    TER("Ter", "Terzan (globular clusters)"),
    TOMBAUGH("Tombaugh", "(open clusters)"),
    TON("Ton", "Tonantzintla (globular clusters)"),
    TR("Tr", "Trumpler (open clusters)"),
    UA("UA", "Catalog of selected Non-UGC galaxies"),
    UGC("UGC", "Uppsala General Catalog (galaxies)"),
    UGCA("UGCA", "Uppsala General Catalog Addendum (galaxies)"),
    UKS("UKS", "United Kingdom Schmidt (globular clusters)"),
    UPGREN("Upgren", "(open clusters)"),
    VV("VV", "Vorontsov-Velyaminov (interacting galaxies)"),
    VDB("vdB", "van den Bergh (open clusters, bright nebulae)"),
    VDBH("vdBH", "van den Bergh & Herbst (bright nebulae)"),
    VDB_HA("vdB-Ha", "van den Bergh-Hagen (open clusters)"),
    VY("Vy", "Vyssotsky (planetary nebulae)"),
    WATERLOO("Waterloo", "(open clusters)"),
    WINNECKE("Winnecke", "Double Star (Messier 40)"),
    ZWG("ZWG", "Zwicky (galaxies)");

    private CatalogEnum(String name, String meaning) {
        this.name = name;
        this.meaning = meaning;
    }

    private final String name;
    private final String meaning;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @return the meaning
     */
    public String getMeaning() {
        return meaning;
    }
}