package nl.amis.jfall2009.jsf.converters;

import java.io.Serializable;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.EJB;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.ConverterException;
import javax.faces.convert.FacesConverter;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import nl.amis.jfall2009.ejb.entity.Constellation;
import nl.amis.jfall2009.ejb.session.JFall2009SessionBean;
import nl.amis.jfall2009.jsf.beans.JFall2009ManagedBean;

@EJB(name="jf2009Session", beanInterface=JFall2009SessionBean.class)
@FacesConverter(value = "constellationConverter", forClass = Constellation.class)
public class ConstellationConverter implements Converter, Serializable {
    private static final long serialVersionUID = 1L;

    private JFall2009SessionBean jf2009Session;

    public Object getAsObject(FacesContext context, UIComponent component, String value) throws ConverterException {
        System.out.println("getAsObject on ConstellationConverter");
        try {
            InitialContext ic = new InitialContext();
            jf2009Session = (JFall2009SessionBean) ic.lookup("java:comp/env/jf2009Session");
            Constellation constellation = jf2009Session.getConstellationByName(value);
            System.out.println("Found constellation " + constellation.getName());
            return constellation;
        } catch (NamingException ex) {
            Logger.getLogger(JFall2009ManagedBean.class.getName()).log(Level.SEVERE, null, ex);
        }

        return null;
    }

    public String getAsString(FacesContext context, UIComponent component, Object value) throws ConverterException {
        System.out.println("getAsString on ConstellationConverter");
        if (value instanceof Constellation) {
            return ((Constellation) value).getName();
        }
        return "";
    }

}
