package nl.amis.jfall2009.jsf.converters;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.ejb.EJB;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import nl.amis.jfall2009.ejb.entity.DeepSkyType;
import nl.amis.jfall2009.ejb.session.JFall2009SessionBean;
import nl.amis.jfall2009.jsf.beans.JFall2009ManagedBean;

@EJB(name="jf2009Session", beanInterface=JFall2009SessionBean.class)
@FacesConverter(value = "deepSkyTypeConverter", forClass = DeepSkyType.class)
public class DeepSkyTypeConverter implements Converter {

    private JFall2009SessionBean jf2009Session;

    public Object getAsObject(FacesContext context, UIComponent component, String value) {
        System.out.println("getAsObject on DeepSkyTypeConverter");
        try {
            InitialContext ic = new InitialContext();
            jf2009Session = (JFall2009SessionBean) ic.lookup("java:comp/env/jf2009Session");
            DeepSkyType deepSkyType = jf2009Session.getDeepSkyTypeByName(value);
            System.out.println("Found deepSkyType " + deepSkyType.getName());
            return deepSkyType;
        } catch (NamingException ex) {
            Logger.getLogger(JFall2009ManagedBean.class.getName()).log(Level.SEVERE, null, ex);
        }

        return null;
    }

    public String getAsString(FacesContext context, UIComponent component, Object value) {
        if (value instanceof DeepSkyType) {
            System.out.println("Found deepSkyType " + ((DeepSkyType) value).getName());
            return ((DeepSkyType) value).getName();
        }
        return "";
    }

}
